---
updatedAt: 2025-07-14T13:40:01.000Z
agentTools:
  projectIndex: https://securityscorecard.readme.io/llms.txt
---

# /max/partner/managed-customers/{customer_id}/documents

Get list of documents related to a customer.

# OpenAPI definition

````json
{
  "openapi": "3.0.3",
  "info": {
    "title": "SecurityScorecard",
    "version": "0.0.1",
    "contact": {
      "name": "SecurityScorecard Support",
      "email": "support@securityscorecard.io"
    },
    "description": "For onboarding instructions and details on how SecurityScorecard API works,\nplease see our Readme guide: https://securityscorecard.readme.io/docs\n\nFor technical support please contact us at\n[support@securityscorecard.io](support@securityscorecard.io). We typically\nrespond in 48 hours and operate Monday thru Friday 9am - 5pm EST (excluding\nUS federal holidays).",
    "x-logo": {
      "url": "https://platform.securityscorecard.io/images/ssc-logo-white-stacked.svg",
      "backgroundColor": "#222830"
    }
  },
  "servers": [
    {
      "url": "https://api.securityscorecard.io"
    }
  ],
  "components": {
    "securitySchemes": {
      "Token": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "SecurityScorecard API endpoints require an authentication token to be passed\nin an authorization header in order to return data. If you do not already\nhave a token, you can create one by going to the API Access area in your\n[Settings page](https://platform.securityscorecard.io/#/settings/api) and then\nclicking Generate New Token. Please note this tokens have no expiration\nso they can be used until manually revoked. If you have a token and generate\na new one, the previous token will be revoked and can no longer be used.\n\nAdministrators can also revoke API tokens for any user in their account.\n\nOnce you have your token you can pass it in using the `Authorization` http header like this:\n\n```\ncurl -X GET \\\n  https://api.securityscorecard.io/portfolios \\\n  -H 'authorization: Token <your token>'\n```"
      }
    },
    "schemas": {
      "ErrorBadRequest": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 400
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorUnauthorized": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 401
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorForbidden": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 403
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorNotFound": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 404
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "ErrorRateLimit": {
        "type": "object",
        "properties": {
          "error": {
            "type": "object",
            "properties": {
              "message": {
                "description": "Human readable message, suitable for showing in some UI",
                "type": "string"
              },
              "statusCode": {
                "type": "integer",
                "default": 429
              }
            },
            "required": [
              "message",
              "statusCode"
            ]
          }
        }
      },
      "DocumentsListSchema": {
        "type": "object",
        "additionalProperties": false,
        "properties": {
          "entries": {
            "type": "array",
            "description": "A list of documents for the specified customer.",
            "items": {
              "type": "object",
              "description": "Document",
              "properties": {
                "id": {
                  "type": "string",
                  "format": "uuid"
                },
                "customerId": {
                  "type": "string",
                  "format": "uuid"
                },
                "filename": {
                  "type": "string"
                },
                "description": {
                  "type": "string"
                },
                "createdAt": {
                  "type": "string",
                  "format": "date-time"
                },
                "createdBy": {
                  "type": "string"
                },
                "associatedVendorIds": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              },
              "required": [
                "id",
                "filename"
              ]
            }
          },
          "total": {
            "description": "The total number of records matching the given query",
            "example": 999,
            "type": "integer"
          }
        },
        "required": [
          "entries",
          "total"
        ]
      }
    }
  },
  "security": [
    {
      "Token": []
    }
  ],
  "paths": {
    "/max/partner/managed-customers/{customer_id}/documents": {
      "get": {
        "summary": "",
        "description": "Get list of documents related to a customer.",
        "tags": [
          "partner"
        ],
        "parameters": [
          {
            "in": "path",
            "name": "customer_id",
            "required": true,
            "example": "aea7dae2-370f-4279-a458-4c7cb9661778",
            "schema": {
              "type": "string",
              "format": "uuid",
              "pattern": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
            },
            "description": "Customer identifier"
          },
          {
            "in": "query",
            "name": "filter",
            "required": false,
            "example": "[{\"operator\":\"like\",\"id\":\"filename\",\"value\":[\"filename.csv\"],\"type\":\"multiValue\"},{\"operator\":\"like\",\"id\":\"description\",\"value\":[\"Testing description\"],\"type\":\"multiValue\"},{\"operator\":\"lt\",\"id\":\"date\",\"value\":[\"2025-01-01\"],\"type\":\"date\"},{\"operator\":\"like\",\"id\":\"createdBy\",\"value\":[\"John Does\"],\"type\":\"multiValue\"},{\"operator\":\"like\",\"id\":\"associatedVendorIds\",\"value\":[\"securityscorecard.com\"],\"type\":\"multiValue\"}]",
            "schema": {
              "type": "string"
            },
            "description": "Filters to apply to the documents"
          },
          {
            "in": "query",
            "name": "search",
            "required": false,
            "example": "foo bar",
            "schema": {
              "type": "string"
            },
            "description": "Word or phrase to search records for"
          },
          {
            "in": "query",
            "name": "sort",
            "required": false,
            "example": "[{\"id\":\"filename\",\"desc\":true}]",
            "schema": {
              "type": "string"
            },
            "description": "Sort indicators by providing a JSON string representing an array of objects; each object should include \"id\" for the field to sort by and \"desc\" as a boolean indicating descending (true) or ascending (false) order."
          },
          {
            "in": "query",
            "name": "page",
            "required": false,
            "schema": {
              "type": "integer"
            },
            "description": "optionally specify which page of results to return"
          },
          {
            "in": "query",
            "name": "limit",
            "required": false,
            "example": 25,
            "schema": {
              "type": "integer",
              "maximum": 1500
            },
            "description": "optionally specify how many results to return, maximum is 1500"
          },
          {
            "name": "version",
            "in": "header",
            "schema": {
              "type": "string",
              "example": "beta"
            },
            "description": "API version header"
          }
        ],
        "responses": {
          "200": {
            "description": "A list of documents for the specified customer.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/DocumentsListSchema"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorBadRequest"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorUnauthorized"
                }
              }
            }
          },
          "403": {
            "description": "Forbidden",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorForbidden"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorNotFound"
                }
              }
            }
          },
          "429": {
            "description": "Too Many Requests",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorRateLimit"
                }
              }
            }
          }
        }
      }
    }
  }
}
````